%define	name 	plt
%define version 370
%define release %mkrel 4
%define major	%{version}
%define libname %mklibname %{name} %{major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	PLT Scheme
License:	LGPL
Group:		Development/Other
Source0:	http://download.plt-scheme.org/bundles/%{version}/plt/%{name}-%{version}-src-unix.tgz
Source1:        drscheme.png
Patch0:		%{name}-370-destdir.patch
Patch1:		%{name}-370-fix-libtool-use.patch
Url:		http://www.plt-scheme.org
BuildRequires:	X11-devel
BuildRequires:	chrpath
BuildRequires:	spec-helper >= 0.12
BuildRequires:	imagemagick
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
PLT Scheme is an umbrella name for a family of implementations of the
Scheme programming language.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package	mzscheme
Summary:	PLT Scheme implementation
Group:		Development/Other
Requires:	%{libname} = %{version}

%description mzscheme
MzScheme is the PLT Scheme implementation. It implements
the language as described in the Revised^5 Report on the
Algorithmic Language Scheme and adds numerous extensions.

%package	mred
Summary:	PLT graphical Scheme implementation
Group:		Development/Other
Requires:	%{name}-mzscheme = %{version}

%description	mred
MrEd is the PLT's graphical Scheme implementation. It embeds and
extends MzScheme with a graphical user interface (GUI) toolbox.

%package	drscheme
Summary:	PLT graphical development environment
Group:		Development/Other
Requires:	%{name}-mred = %{version}

%description	drscheme
DrScheme is the graphical development environment for creating 
MzScheme and MrEd applications.

%prep
%setup -q
%patch0 -p 1
%patch1 -p 1

%build
cd src
%configure2_5x \
    --enable-shared
# parallel build doesn't work
make

%install
rm -rf %{buildroot}
mkdir %{buildroot}
cd src
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}
%makeinstall_std

# correct installation
install -d -m 755 %{buildroot}%{_datadir}
install -d -m 755 %{buildroot}%{_libdir}/%{name}

# correct perms
find %{buildroot}%{_libdir}/%{name}/collects -type d -exec chmod 755 {} \;
find %{buildroot}%{_datadir}/%{name}/doc -type d -exec chmod 755 {} \;

# nuke rpath
#chrpath -d  %{buildroot}%{_libdir}/plt/bin/*

%multiarch_includes %{buildroot}%{_includedir}/plt/mzconfig.h

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-drscheme.desktop << EOF
[Desktop Entry]
Name=DrScheme
Comment=Scheme IDE
Exec=drscheme
Icon=drscheme
Terminal=false
Type=Application
StartupNotify=true
Categories=Development;IDE;
EOF

mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,22x22,24x24,32x32,48x48}/apps
mkdir -p %{buildroot}{%{_miconsdir},%{_liconsdir}}
convert -scale "48X48" %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/drscheme.png
convert -scale "16x16" %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/drscheme.png
convert -scale "22x22" %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/22x22/apps/drscheme.png
convert -scale "24x24" %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/24x24/apps/drscheme.png
convert -scale "32x32" %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/drscheme.png
convert -scale "48x48" %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/drscheme.png
convert -scale "16x16" %{SOURCE1} %{buildroot}%{_miconsdir}/drscheme.png
convert -scale "32x32" %{SOURCE1} %{buildroot}%{_iconsdir}/drscheme.png
convert -scale "48x48" %{SOURCE1} %{buildroot}%{_liconsdir}/drscheme.png

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files mzscheme
%defattr(-,root,root)
%doc readme.txt
%{_libdir}/%{name}
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}
%exclude %{_bindir}/mred
%exclude %{_bindir}/drscheme
%exclude %{_mandir}/man1/mred.1*
%exclude %{_mandir}/man1/drscheme.1*
%exclude %{_libdir}/%{name}/collects/mred
%exclude %{_libdir}/%{name}/collects/drscheme
%exclude %{_datadir}/%{name}/doc/mred
%exclude %{_datadir}/%{name}/doc/drscheme

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libmzscheme3m-%{version}.so
%{_libdir}/libmred3m-%{version}.so

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/libmzscheme3m.so
%{_libdir}/libmred3m.so
%{_libdir}/*.la
%{_includedir}/*

%files mred
%defattr(-,root,root)
%{_libdir}/%{name}/collects/mred
%{_bindir}/mred
%{_mandir}/man1/mred.1*
%{_datadir}/%{name}/doc/mred

%files drscheme
%defattr(-,root,root)
%{_libdir}/%{name}/collects/drscheme
%{_bindir}/drscheme
%{_mandir}/man1/drscheme.1*
%{_datadir}/%{name}/doc/drscheme
%{_datadir}/pixmaps/drscheme.png
%{_iconsdir}/hicolor/16x16/apps/drscheme.png
%{_iconsdir}/hicolor/22x22/apps/drscheme.png
%{_iconsdir}/hicolor/24x24/apps/drscheme.png
%{_iconsdir}/hicolor/32x32/apps/drscheme.png
%{_iconsdir}/hicolor/48x48/apps/drscheme.png
%{_miconsdir}/drscheme.png
%{_iconsdir}/drscheme.png
%{_liconsdir}/drscheme.png
%{_datadir}/applications/mandriva-drscheme.desktop


%changelog
* Tue Sep 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 370-4mdv2008.0
+ Revision: 89555
- install binaries in standard place (fix #33658)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Sun Aug 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 370-3mdv2008.0
+ Revision: 67139
- rebuild

* Mon Jun 25 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 370-2mdv2008.0
+ Revision: 43947
- oops, forgot adding source for icon
- compulsive pedantic neatpicking by me ;p
- from Frederik Himpe <fhimpe@telenet.be> :
  	o drop -DDONT_INLINE_NZERO_TEST CFLAG as it's no longer needed
  	o fd.o menu item & icons
  	o replace wrapper script with working symlinks

* Tue Jun 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 370-1mdv2008.0
+ Revision: 41563
- fix libtool configuration call
- use system libtool instead of bundled one
- new version
- import plt


* Wed Jun 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 350-2mdv2007.0
- fix multiarch issue
- drop old obsoletes
- less strict interdependencies
- nuke rpath

* Wed Jun 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 350-1mdv2007.0
- new version
- destdir patch

* Tue Jun 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 301-2mdv2007.0
- new version

* Fri May 19 2006 Guillaume Rousse <guillomovitch@mandriva.org> 301-1mdk
- new version
- %%mkrel
- fix multiarch includes

* Sun Jan 16 2005 Guillaume Rousse <guillomovitch@mandrake.org> 209-1mdk
- New release 209

* Thu Aug  5 2004 Guillaume Rousse <guillomovitch@mandrakesoft.com> 208-1mdk
- New release 208

* Wed Jul 14 2004 Guillaume Rousse <guillomovitch@mandrake.org> 207-3mdk 
- rebuild

* Fri Jun 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 207-2mdk 
- binaries in %%{_libdir}/%%{name}/bin, wrappers in %%{_bindir}

* Tue Jun 01 2004 Guillaume Rousse <guillomovitch@mandrake.org> 207-1mdk
- new version
- libification
- fixed scripts (Bruno T Santos <bluey@netcabo.pt>)
- rpmbuildupdate aware

* Mon Jan 12 2004 Guillaume Rousse <guillomovitch@mandrake.org> 205-2mdk
- buildrequires (slbd)

* Tue Dec 30 2003 Guillaume Rousse <guillomovitch@mandrake.org> 205-1mdk
- new version

* Fri Apr 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 202-6mdk
- fixed buildrequires (Stefan van der Eijk <stefan@eijk.nu>)
- quiet setup

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 202-5mdk
- rebuild
- fixed compiled code directory perms

* Tue Oct 08 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 202-4mdk
- fixed missing syntax collect

* Mon Oct 07 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 202-3mdk
- fixed missing bin symlink
- fixed doc

* Mon Oct 07 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 202-2mdk
- changed name to %%{name}
- set PLT_HOME to %%{_libdir}/%%{name}
- package split
- corrected license and url tags
- reworked descriptions

* Sat Oct 05 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 202-1mdk
- first mdk release
